> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_createmultisig.md).

# createmultisig {disallowed} - Bitcoin SV

#### Parameters

`nrequired` - numeric, required

The number of required signatures out of the n keys.

`keys` - json array, required

The hex-encoded public keys.

`address_type` - string, optional, default=legacy

The address type to use. Options are "legacy", "p2sh-segwit", and "bech32".

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "createmultisig",
"params": [null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
